Skip to main content
PATCH
Set upgrade mode and maintenance window
Updated August 24, 2026

Authorizations

X-API-Key
string
header
required

API key for authentication. Each key is bound to a specific account.

Headers

X-Project-ID
string<uuid>
required

Project ID. Required for all mutating operations (create, delete, power actions, resize).

Path Parameters

cluster_id
string
required

Cluster ID (short id, e.g. q7z7zg)

Body

application/json
upgrade_mode
enum<string>
required
Available options:
manual,
auto_patch,
auto_minor
maintenance_day
integer

0 (Sunday) to 6 (Saturday)

Required range: 0 <= x <= 6
maintenance_start
integer

Window start hour (UTC)

Required range: 0 <= x <= 23

Response

Settings updated

success
boolean
Example:

true

message
string
Example:

"Operation completed successfully"

Last modified on August 24, 2026